Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 17 Apr 2023 03:59:41 +0000 (UTC)

Hi Dalal Alarawi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am writing to compliant about the bad experience I have with your online purchase.

Really the service is bad and I will never ever repeat it a gain or recommend it to a friend.

on the date of 15 March, I purchased a wardrobe Hampton 6 doors with invoice number 6813686003 online. and a dresser Hampton with invoice 6814216209. I waited for 18 days till delivery. Unfortunately, the wardrobe came broken and I asked for replacement for the item. after a week of daily follow up with your customer service team. I got a response that the item is not available and I am eligible for refund. I said ok and plz refund the dresser as well as it is the same model and  I can not put two different items in the room. I am daily following up with them for this refund I want them to pick up the items as I purchased new wardrobe and dresser from your store and the expected delivery is next week. 

Every day  I call your team. with no response.

I am very sad for the way you treat your customers. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6083643